> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Task

> Delete a task.



## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/DeleteTask
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/DeleteTask:
    post:
      tags:
        - ScheduledTask
      summary: Delete Task
      description: Delete a task.
      operationId: DeleteTask
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteTaskRequest'
        description: >-
          After a task is deleted, for tracking purposes, the task instances
          belonging to this task will still remain. They will become orphaned
          and does not belongs to any task. Executions of any in-progress task
          instances will continue. If the task specified does not exist, the
          deletion is considered a success.
      responses:
        '200':
          $ref: '#/components/responses/EmptyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    DeleteTaskRequest:
      description: >-
        After a task is deleted, for tracking purposes, the task instances
        belonging to this task will still remain. They will become orphaned and
        does not belongs to any task. Executions of any in-progress task
        instances will continue. If the task specified does not exist, the
        deletion is considered a success.
      type: object
      properties:
        Identifier:
          allOf:
            - $ref: '#/components/schemas/NameIdentifier'
          description: Specify either the task ID or the name of task to be deleted.
      example:
        Identifier:
          Id: E1772FD927D8539D
    NameIdentifier:
      description: >-
        Identifier by either name or ID. Note that a name may change due to
        renaming, or reused after being deleted. ID is immutable and unique.
      type: object
      properties:
        Id:
          description: Id Identifier, if present
          type: string
        Name:
          description: Name Identifier, if present
          type: string
      example:
        Name: MyTask
        Id: d739e188-22f6-4d13-a4d5-df2e93d4d2f7
    EmptyResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EmptyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EmptyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Delete Task](/services/playfab/api-references/rest/admin/scheduledtask/delete-task.md)
- [title_deleted_task](/services/playfab/api-references/events/Extension/title-deleted-task.md)
- [Multiplayer tasks](/services/xbox-services/multiplayer/mpsd/how-to/live-mpsd-how-tos.md)
- [Delete](/services/playfab/api-references/rest/authentication/authentication/delete.md)
- [PFStatisticsDeleteStatisticsAsync](/services/playfab/api-references/c/pfstatistics/functions/pfstatisticsdeletestatisticsasync.md)
